gi-vte-2.91.19: Vte bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Vte.Functions

Contents

- Methods
  - getFeatures
  - getMajorVersion
  - getMicroVersion
  - getMinorVersion
  - getUserShell

Description

Synopsis

- getFeatures :: (HasCallStack, MonadIO m) => m Text
- getMajorVersion :: (HasCallStack, MonadIO m) => m Word32
- getMicroVersion :: (HasCallStack, MonadIO m) => m Word32
- getMinorVersion :: (HasCallStack, MonadIO m) => m Word32
- getUserShell :: (HasCallStack, MonadIO m) => m [Char]

# Methods

## getFeatures

getFeatures Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Text | Returns: a string with features

Gets a list of features vte was compiled with.

Since: 0.40

## getMajorVersion

getMajorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the major version

Returns the major version of the VTE library at runtime. Contrast this with `MAJOR_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getMicroVersion

getMicroVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the micro version

Returns the micro version of the VTE library at runtime. Contrast this with `MICRO_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getMinorVersion

getMinorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the minor version

Returns the minor version of the VTE library at runtime. Contrast this with `MINOR_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getUserShell

getUserShell Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m [Char] | Returns: a newly allocated string with the user's shell, or `Nothing`

Gets the user's shell, or `Nothing`. In the latter case, the system default (usually "/bin/sh") should be used.